Subject: Re: Git pull doesn't get the tags

From: Mathias Lafeldt <[email-masked]>
Date: Fri, 22 Oct 2010 11:04:32 +0200

On 10/22/2010 05:37 AM, Rico Secada wrote:
> Hi.
> 
> I am working on a repo on my desktop and I got a clone on my laptop.
> I needed to pull the new stuff from my desktop unto my laptop, and I
> noticed that tags doesn't get pulled.
> 
> The laptop access the desktop using NFS and I am using "git pull
> NFS_SOURCE".
> 
> The repos are identical except that a few files has been updated and a
> new tag has been added.
> 
> Why doesn't pull get the tag?
> 
> Best regards.

Try git pull --tags.

>>From git-pull's manpage:

-t
--tags
        Most of the tags are fetched automatically as branch
        heads are downloaded, but tags that do not point at
        objects reachable from the branch heads that are being
        tracked will not be fetched by this mechanism.  This
        flag lets all tags and their associated objects be
        downloaded. [...]

-Mathias